'use strict';

import { IRptTpl } from '../interface/basic';
import { JV } from './jpc_value_define';

export const JpcFunc = {
    createNew(rptTpl: IRptTpl) {
        let rst = [];
        if (rptTpl.计算式_集合) {
            for (let i = 0; i < rptTpl.计算式_集合.length; i++) {
                let item = { ...rptTpl.计算式_集合[i] }; // 新的copy规范
                // let propArr = Object.getOwnPropertyNames(rptTpl[JV.NODE_FORMULAS][i]);
                // for (let key of propArr) {
                //     item[key] = rptTpl[JV.NODE_FORMULAS][i][key];
                // }
                rst.push(item);
            }
        }
        return rst;
    }
};
